> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get type certificate

> Fetch the type certificate of the specified vehicle



## OpenAPI

````yaml /api-reference/m2m-api.yml get /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/type-certificate
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/type-certificate:
    get:
      tags:
        - Type certificate
      summary: Get type certificate
      description: Fetch the type certificate of the specified vehicle
      operationId: getTypeCertificate
      parameters:
        - name: assetProviderCountryCode
          in: path
          description: Asset provider country code
          required: true
          schema:
            type: string
            minLength: 2
            maxLength: 2
        - name: assetProviderCode
          in: path
          description: Asset provider code
          required: true
          schema:
            type: string
            minLength: 3
            maxLength: 3
        - name: vehicleId
          in: path
          description: Id of vehicle
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The vehicle's type certificate
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TypeCertificateResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Vehicle could not be found
      security:
        - oauth:
            - openid
components:
  schemas:
    TypeCertificateResponse:
      allOf:
        - $ref: '#/components/schemas/TypeCertificateRequest'
        - type: object
          properties:
            blob:
              $ref: '#/components/schemas/Blob'
            ocrStatus:
              $ref: '#/components/schemas/OcrStatus'
    TypeCertificateRequest:
      type: object
      required:
        - address
      properties:
        owner:
          type: string
          description: Vehicle owner
          maxLength: 255
        description:
          type: string
          description: Additional description
          maxLength: 255
        address:
          $ref: '#/components/schemas/CompanyAddressResponse'
    Blob:
      type: object
      required:
        - uuid
        - filename
        - uploaded
      properties:
        uuid:
          type: string
          format: uuid
        filename:
          type: string
        uploaded:
          type: boolean
          description: Indicates if the BLOB has been uploaded to the storage
          default: false
    OcrStatus:
      type: string
      enum:
        - NOT_STARTED
        - MANUAL
        - PROCESSING
        - PROCESSED
        - ERROR
    CompanyAddressResponse:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 255
        street:
          type: string
          minLength: 1
          maxLength: 255
        countryCode:
          type: string
          minLength: 2
          maxLength: 2
        zipCode:
          type: string
          minLength: 1
          maxLength: 255
        city:
          type: string
          minLength: 1
          maxLength: 255
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````